<%@ page contentType="text/html;charset=UTF-8" language="java" %>
<%@ taglib prefix="f" uri="http://java.sun.com/jsf/core" %>
<%@ taglib prefix="h" uri="http://java.sun.com/jsf/html" %>

<%--

 Licensed to the Apache Software Foundation (ASF) under one or more
 contributor license agreements.  See the NOTICE file distributed with
 this work for additional information regarding copyright ownership.
 The ASF licenses this file to you under the Apache License, Version 2.0
 (the "License"); you may not use this file except in compliance with
 the License.  You may obtain a copy of the License at

     http://www.apache.org/licenses/LICENSE-2.0

 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.

--%>

<f:view>
<f:loadBundle var="messages" basename="org.apache.shale.examples.mailreaderjpa.Bundle"/>
<html>
<head>
  <title>
    <h:outputText       value="#{messages['subscription.title.create']}"
                     rendered="#{detail.mode == 'CREATE'}"/>
    <h:outputText       value="#{messages['subscription.title.delete']}"
                     rendered="#{detail.mode == 'DELETE'}"/>
    <h:outputText       value="#{messages['subscription.title.display']}"
                     rendered="#{detail.mode == 'DISPLAY'}"/>
    <h:outputText       value="#{messages['subscription.title.edit']}"
                     rendered="#{detail.mode == 'EDIT'}"/>
  </title>
</head>
<body>

<h:messages        globalOnly="true"/>

<h:form                    id="subscription">

  <h:panelGrid        columns="3">

    <%-- Grid header element --%>

    <f:facet name="header">
      <h:panelGroup>
        <h:outputText
                        value="#{messages['subscription.title.create']}"
                     rendered="#{detail.mode == 'CREATE'}"/>
        <h:outputText 
                        value="#{messages['subscription.title.delete']}"
                     rendered="#{detail.mode == 'DELETE'}"/>
        <h:outputText 
                        value="#{messages['subscription.title.display']}"
                     rendered="#{detail.mode == 'DISPLAY'}"/>
        <h:outputText
                        value="#{messages['subscription.title.edit']}"
                     rendered="#{detail.mode == 'EDIT'}"/>
      </h:panelGroup>
    </f:facet>

    <%-- First row --%>

    <h:outputLabel        for="host">
      <h:outputText     value="#{messages['prompt.mailHostname']}"/>
    </h:outputLabel>

    <h:inputText           id="host"
                         size="50"
                     readonly="#{detail.readOnly}"
                     required="true"
                        value="#{detail.subscription.host}"/>

    <h:message            for="host"/>

    <%-- Second row --%>

    <h:outputLabel        for="username">
      <h:outputText     value="#{messages['prompt.mailUsername']}"/>
    </h:outputLabel>

    <h:inputText           id="username"
                     readonly="#{detail.readOnly}"
                     required="true"
                         size="16"
                        value="#{detail.subscription.username}"/>

    <h:message            for="username"/>

    <%-- Third row --%>

    <h:outputLabel        for="password">
      <h:outputText     value="#{messages['prompt.mailPassword']}"/>
    </h:outputLabel>

    <h:inputSecret         id="password"
                         size="16"
                     readonly="#{detail.readOnly}"
                    redisplay="true"
                     required="true"
                        value="#{detail.subscription.password}"/>

    <h:message            for="password"/>

    <%-- Fourth row --%>

    <h:outputLabel        for="protocol">
      <h:outputText     value="#{messages['prompt.mailServerType']}"/>
    </h:outputLabel>

    <h:selectOneMenu       id="protocol"
                     readonly="#{detail.readOnly}"
                        value="#{detail.subscription.protocol}">
      <f:selectItems    value="#{domains.protocols}"/>
    </h:selectOneMenu>

    <h:message            for="protocol"/>

    <%-- Fifth row --%>

    <h:outputLabel        for="autoConnect">
      <h:outputText     value="#{messages['prompt.autoConnect']}"/>
    </h:outputLabel>

    <h:selectBooleanCheckbox
                           id="autoConnect"
                     readonly="#{detail.readOnly}"
                        value="#{detail.subscription.autoConnect}"/>

    <h:message            for="autoConnect"/>

    <%-- Sixth row --%>

    <h:outputText       value=""/>

    <h:panelGroup>

      <h:commandButton     id="create"
                       action="#{detail.save}"
                         type="SUBMIT"
                     rendered="#{detail.mode == 'CREATE'}"
                        value="#{messages['button.create']}"/>
      <h:commandButton     id="delete"
                       action="#{detail.save}"
                         type="SUBMIT"
                     rendered="#{detail.mode == 'DELETE'}"
                        value="#{messages['button.delete']}"/>
      <h:commandButton     id="edit"
                       action="#{detail.save}"
                         type="SUBMIT"
                     rendered="#{detail.mode == 'EDIT'}"
                        value="#{messages['button.edit']}"/>

      <h:commandButton     id="reset"
                         type="RESET"
                     rendered="#{!detail.readOnly}"
                        value="#{messages['button.reset']}"/>

      <h:commandButton     id="back"
                         type="SUBMIT"
                       action="#{detail.cancel}"
                    immediate="true"
                     rendered="#{detail.mode == 'DISPLAY'}"
                        value="#{messages['button.back']}"/>
      <h:commandButton     id="cancel"
                         type="SUBMIT"
                       action="#{detail.cancel}"
                    immediate="true"
                     rendered="#{detail.mode != 'DISPLAY'}"
                        value="#{messages['button.cancel']}"/>

      </h:panelGroup>

    <h:outputText       value=""/>

  </h:panelGrid>

</h:form>

</body>
</html>
</f:view>
